(* ------------------------------------------------------ *)
(*                     MKCURSOR.PAS                       *)
(*    Manipulation des Cursors im Turbo-Pascal-Editor     *)
(*          (c) 1991 Erich Bertram & TOOLBOX              *)
(* ------------------------------------------------------ *)
PROGRAM Make_Square_Cursor_available_in_Turbo_Pascal;
{$M 4096,0,100}

USES Dos, TSR;

CONST
  HOTKEY = $6900;    { Alt-F2 }


{$F+}        { far wegen TSR }
  PROCEDURE SqareCursor;
  VAR
    Regs : Registers;
  BEGIN
    Regs.ax := 1 SHL 8;
    Regs.cx := 13;
    Intr($10, Regs);
  END;
{$F-}

BEGIN
  WriteLn;
  WriteLn('SQARE-Curser auf <Alt> <F2> verfgbar - ',
          'auch in Turbo Pascal !');
  MakeResident(@Sqarecursor, HOTKEY);
END.
(* ------------------------------------------------------ *)
(*                Ende von MKCURSOR.PAS                   *)
