(* ------------------------------------------------------ *)
(*                      KEYDEF.PAS                        *)
(*         Konstantendefinitionen fr die Tastatur        *)
(* ------------------------------------------------------ *)
UNIT KeyDef;

INTERFACE

CONST

  { Tastaturcodes        1. Ziffernblock   }
  ESC   = $011b;  Home = $4700;  ende  = $4f00;
  PgUp  = $4900;  PgDn = $5100;  right = $4D00;
  left  = $4b00;  up   = $4800;  Down  = $5000;
  five  = $4cf0;  ins  = $5200;  del   = $5300;
  first = $1C00;  last = $1D00;

  { Tastaturcodes        2. Funktionstasten   }
  F1   = $3b00;  F2   = $3c00;  F3  = $3d00;  F4  = $3e00;
  F5   = $3f00;  F6   = $4000;  F7  = $4100;  F8  = $4200;
  F9   = $4300;  F10  = $4400;  F11 = $0085;  F12 = $0086;

  SF1  = $5400;  SF2  = $5500;  SF3  = $5600;  SF4  = $5700;
  SF5  = $5800;  SF6  = $5900;  SF7  = $5a00;  SF8  = $5b00;
  SF9  = $5c00;  SF10 = $5d00;  SF11 = $8700;  SF12 = $8800;

  CF1  = $5e00;  CF2  = $5f00;  CF3  = $6000;  CF4  = $6100;
  CF5  = $6200;  CF6  = $6300;  CF7  = $6400;  CF8  = $6500;
  CF9  = $6600;  CF10 = $6700;  CF11 = $8900;  CF12 = $8a00;

  AF1  = $6800;  AF2  = $6900;  AF3  = $6a00;  AF4  = $6b00;
  AF5  = $6c00;  AF6  = $6d00;  AF7  = $6e00;  AF8  = $6f00;
  AF9  = $7000;  AF10 = $7100;  AF11 = $8b00;  AF12 = $8c00;

  { Tastaturcodes        3. sonstige Tasten   }
  FCR  = $1c0D;  CFCR = $1c0A;  CPgu = $8400;  CPgd = $7600;
  Tab  = $0009;  STab = $0f00;  bksp = 3592;

IMPLEMENTATION

BEGIN
END.
(* ------------------------------------------------------ *)
(*                   Ende von KEYDEF.PAS                  *)

